com.taosdata.jdbc.ws.tmq.meta

## Class MetaAlterTable

- java.lang.Object
- - com.taosdata.jdbc.ws.tmq.meta.Meta
  - - com.taosdata.jdbc.ws.tmq.meta.MetaAlterTable

    public class MetaAlterTable
    extends Meta

### Constructor Summary

Constructors
Constructor and Description
`MetaAlterTable()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `getAlterType()`
`int` `getColLength()`
`String` `getColName()`
`String` `getColNewName()`
`int` `getColType()`
`String` `getColValue()`
`List<TagAlter>` `getTags()`
`int` `hashCode()`
`boolean` `isColValueNull()`
`void` `setAlterType(int alterType)`
`void` `setColLength(int colLength)`
`void` `setColName(String colName)`
`void` `setColNewName(String colNewName)`
`void` `setColType(int colType)`
`void` `setColValue(String colValue)`
`void` `setColValueNull(boolean colValueNull)`
`void` `setTags(List<TagAlter> tags)`

### Methods inherited from class com.taosdata.jdbc.ws.tmq.meta.Meta

`getTableName, getTableType, getType, setTableName, setTableType, setType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetaAlterTable

    public MetaAlterTable()

### Method Detail

#### getAlterType

    public int getAlterType()

#### setAlterType

    public void setAlterType(int alterType)

#### getColName

    public String getColName()

#### setColName

    public void setColName(String colName)

#### getColNewName

    public String getColNewName()

#### setColNewName

    public void setColNewName(String colNewName)

#### getColType

    public int getColType()

#### setColType

    public void setColType(int colType)

#### getColLength

    public int getColLength()

#### setColLength

    public void setColLength(int colLength)

#### getColValue

    public String getColValue()

#### setColValue

    public void setColValue(String colValue)

#### isColValueNull

    public boolean isColValueNull()

#### setColValueNull

    public void setColValueNull(boolean colValueNull)

#### getTags

    public List<TagAlter> getTags()

#### setTags

    public void setTags(List<TagAlter> tags)

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Meta`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Meta`